services:
  gitlab:
    image: gitlab/gitlab-ce:18.9.1-ce.0
    container_name: ${CONTAINER_NAME}
    networks:
      - opsmind-network
    cap_add:
      - NET_ADMIN
    restart: unless-stopped
    ports:
      - "${PANEL_APP_PORT_HTTP}:80"
      - "${PANEL_APP_PORT_SSH}:22"
    environment:
      TZ: ${TIME_ZONE}
    volumes:
      - "./data/config:/etc/gitlab"
      - "./data/logs:/var/log/gitlab"
      - "./data/data:/var/opt/gitlab"
    shm_size: "${SHM_SIZE}"
    labels:
      createdBy: "Apps"

networks:
  opsmind-network:
    external: true
